package fishrungames.kobserver;

import android.location.Location;
import android.location.LocationListener;
import android.os.Bundle;

	public class GeoUpdateHandler implements LocationListener {
	     @Override
	     public void onLocationChanged(Location location) {
	        //int lat = (int) (location.getLatitude() * 1E6);
	       //int lng = (int) (location.getLongitude() * 1E6);
	       // GeoPoint point = new GeoPoint(lat, lng);
	        //mapController.animateTo(point);
	    	 
	    	 float lat = (float)location.getLatitude();
	    	 float lon = (float)location.getLongitude();
	    	 
	    	 JniWrapper.SetPosition(lon, lat);
	    	 
	     }
	     @Override
	     public void onProviderDisabled(String provider) { }

	     @Override
	     public void onProviderEnabled(String provider) { }

	     @Override
	     public void onStatusChanged(String provider, int status, Bundle extras) { }
	  }

